package com.zhongzheng.modules.recruit.mapper;

import com.zhongzheng.modules.recruit.bo.RecruitInterviewQueryBo;
import com.zhongzheng.modules.recruit.domain.RecruitInterview;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewExcel;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewUserVo;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 招聘面试关联Mapper接口
 *
 * @author ruoyi
 * @date 2021-08-20
 */
public interface RecruitInterviewMapper extends BaseMapper<RecruitInterview> {

    List<RecruitInterviewVo> selectByDay(@Param("day") Integer date,@Param("month") Integer moth,@Param("year") Integer year,
                                         @Param("timingStart")Long quantumStart,@Param("timingEnd")Long quantumEnd,@Param("status") List<Integer> status);

    List<RecruitInterviewExcel> selectQueryExcel(RecruitInterviewQueryBo bo);

    List<RecruitInterviewVo> selectByListAll(RecruitInterviewQueryBo bo);

    RecruitInterviewUserVo interviewUserId(Long interviewUserId);

    String selectSysUserName(Long sysUserId);

    String selectUserName(Long userId);

    List<RecruitInterviewVo> queryListAppAll(RecruitInterviewQueryBo bo);
}
